## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:       keychain
Summary:    Agent manager for OpenSSH, ssh.com, Sun SSH, and GnuPG
Version:    2.9.2
Release:    %autorelease
License:    GPL-2.0-only
URL:        https://www.funtoo.org/Keychain
Source0:    https://github.com/funtoo/keychain/archive/%{version}/keychain-%{version}.tar.gz
Source1:    keychain.sh
Source2:    keychain.csh
Source3:    README.Fedora
BuildArch:  noarch
BuildRequires: make
BuildRequires: perl-podlators
Requires:   findutils


%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This dramatically reduces the number of times you need to enter your
passphrase from once per new login session to once every time your
local machine is rebooted.

%prep
%setup -q
sed -i -e 's|/usr/ucb:||' keychain.sh

%build
make keychain keychain.1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 755 keychain %{buildroot}%{_bindir}/keychain
install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/keychain.sh
install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/keychain.csh
install -pm 644 keychain.1 %{buildroot}%{_mandir}/man1
install -pm 644 %{SOURCE3} README.Fedora

%files
%doc ChangeLog.md README.md README.Fedora
%license COPYING.txt
%config(noreplace) %{_sysconfdir}/profile.d/keychain.sh
%config(noreplace) %{_sysconfdir}/profile.d/keychain.csh
%{_bindir}/keychain
%{_mandir}/man1/keychain.1*

%changelog
## START: Generated by rpmautospec
* Wed Jun 18 2025 Till Maas <opensource@till.name> - 2.9.2-4
- add BR perl-podlators

* Wed Jun 18 2025 Till Maas <opensource@till.name> - 2.9.2-3
- Fix typo in %%autorelease

* Wed Jun 18 2025 Till Maas <opensource@till.name> - 2.9.2-2
- Fix build error
- Ad BR: make
- Use %%autochangelog
- Unify white space

* Wed Jun 18 2025 Till Maas <opensource@till.name> - 2.9.2-1
- Update to latest upstream release

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jul 29 2024 Miroslav Suchý <msuchy@redhat.com> - 2.8.5-16
- convert GPLv2 license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Sep 17 2023 Luc Ducazu <lducazu@gmail.com> - 2.8.5-12
- Suppress grep error messages.

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Apr 18 2023 Sérgio M. Basto <sergio@serjux.com> - 2.8.5-10
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
